libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_read

declared in "vorbis/codec.h";

This function informs the Vorbis decoder of how many samples the application used from the last buffer output by vorbis_synthesis_pcmout.

    extern int      vorbis_synthesis_read(vorbis_dsp_state *v,int samples);

### Parameters

v
  The vorbis_dsp_state for the decoder instance.
samples
  The number of samples the application has used.

### Return Values

> - 0 on success.
> - OV_EINVAL if samples is greater than the number of remaining samples in the buffer.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101